# db=mysql gui=adminer ref. https://dev.to/codewithml/setup-adminer-with-docker-for-database-management-4dd2
version: '3'

services:

  mysql_c:
    image: mysql
    environment:
      MYSQL_ROOT_PASSWORD: password
    volumes:
      - mysql_v:/var/lib/mysql
      - ./v/docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d  # run dbseed script  ref. https://hub.docker.com/_/mysql  > Initializing a fresh instance

  adminer_c:  # ref. https://hub.docker.com/_/adminer/
    depends_on:
      - mysql_c
    image: adminer
    ports:
      - ${ADMINER_PORT:-8080}:8080
    environment:
      ADMINER_DEFAULT_SERVER: mysql_c           # default server, when :adminer webapp opened, set as :db_c above
      ADMINER_DESIGN: ${ADMINER_DESIGN:-hydra}  # choose theme ref. https://github.com/vrana/adminer/tree/master/designs

volumes:
  mysql_v:
